require componentlst.inc
require conf/distro/include/sah_generic_global_config_options.inc

DISTRO = "sah_prpl"
DISTRO_NAME = "SAH Prpl (SoftAtHome Prpl Distro)"
DISTRO_VERSION = "0.0.1"

SAH_DEFAULT_EXTRA_RDEPENDS = "packagegroup-core-boot"
SAH_DEFAULT_EXTRA_RRECOMMENDS = "kernel-module-af-packet"
SAH_DEFAULT_DISTRO_FEATURES = ""

DISTRO_FEATURES ?= "${DISTRO_FEATURES_DEFAULT} ${DISTRO_FEATURES_LIBC} ${SAH_DEFAULT_DISTRO_FEATURES}"
DISTRO_EXTRA_RDEPENDS += " ${SAH_DEFAULT_EXTRA_RDEPENDS}"
DISTRO_EXTRA_RRECOMMENDS += " ${SAH_DEFAULT_EXTRA_RRECOMMENDS}"

DISTRO_FEATURES_remove += "alsa bluetooth ext2 pcmcia 3g nfc x11 bluez5"

PREFERRED_VERSION_linux ?= "dummy"
PREFERRED_VERSION_linux-libc-headers ?= "4.14.169"
TCLIBC = "musl"

SOLIBS = ".so*"
SOLIBSDEV = ".nonexistent"
INSANE_SKIP_${PN} = "dev-so"

# QA check settings - a little stricter than the OE-Core defaults
WARN_TO_ERROR_QA = "already-stripped compile-host-path install-host-path \
                    installed-vs-shipped ldflags pn-overrides rpaths staticdev \
                    unknown-configure-option useless-rpaths"
WARN_QA_remove = "${WARN_TO_ERROR_QA}"
ERROR_QA_append = " ${WARN_TO_ERROR_QA}"


VIRTUAL-RUNTIME_init_manager ?= "busybox"
DISTRO_FEATURES_BACKFILL_CONSIDERED += "sysvinit"

PREFERRED_VERSION_openssl ?= "1.0.2r"

HOSTTOOLS_NONFATAL += "git-lfs"

